Page MenuHomePhabricator

Implement CheckboxMultiselectWidget (and CheckboxMultiselectInputWidget)
Closed, ResolvedPublic8 Story Points

Description

OOjs UI should have a CheckboxMultiselectWidget (and CheckboxMultiselectInputWidget), which is a single field with a number of selectable checkboxes.

Implementation should probably be generally inspired by:

  • CapsuleMultiselectWidget for the Multiselect part. Note that CapsuleMultiselectWidget also allows for inputting and selecting arbitrary values, which will be impossible with CheckboxMultiselectWidget. (T108489 is probably good to do first, but might not be a blocker.)
  • RadioSelectWidget for the styles and DOM layout and such. Note how labels are laid out.
  • RadioSelectInputWidget for the InputWidget part. (Especially the PHP version, which uses multiple inputs, like CheckboxMultiselectInputWidget will have to. The JS version might do the same, or maybe use <select multiple>.)

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedVolker_E
OpenNone
Resolvedmatmarex
DuplicateNone
OpenNone
Resolvedmatmarex
Resolvedmatmarex

Event Timeline

matmarex created this task.Nov 4 2015, 7:26 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to Needs Triage.
matmarex added a project: OOUI.
matmarex added a subscriber: matmarex.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 4 2015, 7:26 PM
Jdforrester-WMF triaged this task as Normal priority.Apr 20 2016, 10:04 PM
Jdforrester-WMF set Security to None.
matmarex renamed this task from Implement CheckboxMultiSelectWidget (and CheckboxMultiSelectInputWidget) to Implement CheckboxMultiselectWidget (and CheckboxMultiselectInputWidget).May 19 2016, 6:39 PM
matmarex updated the task description. (Show Details)

Change 291708 had a related patch set uploaded (by Bartosz Dziewoński):
Implement MultiselectWidget, CheckboxMultiselectWidget and CheckboxMultiselectInputWidget

https://gerrit.wikimedia.org/r/291708

Change 291708 merged by jenkins-bot:
Implement MultiselectWidget, CheckboxMultiselectWidget and CheckboxMultiselectInputWidget

https://gerrit.wikimedia.org/r/291708

Jdforrester-WMF moved this task from Backlog to OOjs-UI-0.17.3 on the OOUI board.May 30 2016, 5:12 PM
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.17.3); removed OOUI.
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 8.